summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /x11-libs/fox-wrapper/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'x11-libs/fox-wrapper/files')
-rw-r--r--x11-libs/fox-wrapper/files/fox-wrapper-1.sh76
-rw-r--r--x11-libs/fox-wrapper/files/fox-wrapper-2.sh76
-rw-r--r--x11-libs/fox-wrapper/files/fox-wrapper-3.sh76
3 files changed, 228 insertions, 0 deletions
diff --git a/x11-libs/fox-wrapper/files/fox-wrapper-1.sh b/x11-libs/fox-wrapper/files/fox-wrapper-1.sh
new file mode 100644
index 000000000000..685f108e9a49
--- /dev/null
+++ b/x11-libs/fox-wrapper/files/fox-wrapper-1.sh
@@ -0,0 +1,76 @@
+#!/bin/bash
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Based on the am-wrapper.sh script (sys-devel/automake-wrapper-1-r1)
+#
+# Executes the correct fox-config version, based on the value of WANT_FOX.
+# All versions of fox after 1.0.x ship with a fox-config script
+#
+#
+# Stable branches first, in descending order, then unstable branches.
+# After a new stable branch, prepend the new version and bump (or remove)
+# the last unstable branch
+#
+vers="1.4 1.2 1.5"
+bindir=/usr/bin
+
+if [ "${0##*/}" = "fox-wrapper.sh" ] ; then
+ echo "fox-wrapper: Don't call this script directly, use fox-config instead" >&2
+ exit 1
+fi
+
+if [ -z "${WANT_FOX}" ] ; then
+ echo "fox-wrapper: Set the WANT_FOX variable to the desired version of fox, e.g.:" >&2
+ echo " WANT_FOX=\"1.2\" fox-config $@"
+ exit 1
+fi
+
+for v in ${vers} ; do
+ eval binary_${v/./_}="fox-${v}-config"
+done
+
+#
+# Check the WANT_FOX setting
+#
+for v in ${vers} x ; do
+ if [ "${v}" = "x" ] ; then
+ echo "fox-wrapper: WANT_FOX was set to an invalid version ${WANT_FOX}" >&2
+ echo " Valid values of WANT_FOX are: ${vers// /, }"
+ exit 1
+ fi
+
+ if [ "${WANT_FOX}" = "${v}" ] ; then
+ binary="binary_${v/./_}"
+ binary="${!binary}"
+ break
+ fi
+done
+
+if [ "${WANT_FOXWRAPPER_DEBUG}" ] ; then
+ echo "fox-wrapper: DEBUG: WANT_FOX is set to ${WANT_FOX}" >&2
+ echo "fox-wrapper: DEBUG: will execute <$binary>" >&2
+fi
+
+#
+# for further consistency
+#
+for v in ${vers} ; do
+ mybin="binary_${v/./_}"
+ if [ "${binary}" = "${!mybin}" ] ; then
+ export WANT_FOX="${v}"
+ fi
+done
+
+#
+# Now try to run the binary
+#
+if [ ! -x "${bindir}/${binary}" ] ; then
+ echo "fox-wrapper: $binary is missing or not executable." >&2
+ echo " Please try emerging the correct version of fox, i.e.:" >&2
+ echo " emerge '=x11-libs/${binary/-config/}*'" >&2
+ exit 1
+fi
+
+"$binary" "$@"
diff --git a/x11-libs/fox-wrapper/files/fox-wrapper-2.sh b/x11-libs/fox-wrapper/files/fox-wrapper-2.sh
new file mode 100644
index 000000000000..91d3b7b95265
--- /dev/null
+++ b/x11-libs/fox-wrapper/files/fox-wrapper-2.sh
@@ -0,0 +1,76 @@
+#!/bin/bash
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Based on the am-wrapper.sh script (sys-devel/automake-wrapper-1-r1)
+#
+# Executes the correct fox-config version, based on the value of WANT_FOX.
+# All versions of fox after 1.0.x ship with a fox-config script
+#
+#
+# Stable branches first, in descending order, then unstable branches.
+# After a new stable branch, prepend the new version and bump (or remove)
+# the last unstable branch
+#
+vers="1.6 1.4 1.2 1.5"
+bindir=/usr/bin
+
+if [ "${0##*/}" = "fox-wrapper.sh" ] ; then
+ echo "fox-wrapper: Don't call this script directly, use fox-config instead" >&2
+ exit 1
+fi
+
+if [ -z "${WANT_FOX}" ] ; then
+ echo "fox-wrapper: Set the WANT_FOX variable to the desired version of fox, e.g.:" >&2
+ echo " WANT_FOX=\"1.2\" fox-config $@"
+ exit 1
+fi
+
+for v in ${vers} ; do
+ eval binary_${v/./_}="fox-${v}-config"
+done
+
+#
+# Check the WANT_FOX setting
+#
+for v in ${vers} x ; do
+ if [ "${v}" = "x" ] ; then
+ echo "fox-wrapper: WANT_FOX was set to an invalid version ${WANT_FOX}" >&2
+ echo " Valid values of WANT_FOX are: ${vers// /, }"
+ exit 1
+ fi
+
+ if [ "${WANT_FOX}" = "${v}" ] ; then
+ binary="binary_${v/./_}"
+ binary="${!binary}"
+ break
+ fi
+done
+
+if [ "${WANT_FOXWRAPPER_DEBUG}" ] ; then
+ echo "fox-wrapper: DEBUG: WANT_FOX is set to ${WANT_FOX}" >&2
+ echo "fox-wrapper: DEBUG: will execute <$binary>" >&2
+fi
+
+#
+# for further consistency
+#
+for v in ${vers} ; do
+ mybin="binary_${v/./_}"
+ if [ "${binary}" = "${!mybin}" ] ; then
+ export WANT_FOX="${v}"
+ fi
+done
+
+#
+# Now try to run the binary
+#
+if [ ! -x "${bindir}/${binary}" ] ; then
+ echo "fox-wrapper: $binary is missing or not executable." >&2
+ echo " Please try emerging the correct version of fox, i.e.:" >&2
+ echo " emerge '=x11-libs/${binary/-config/}*'" >&2
+ exit 1
+fi
+
+"$binary" "$@"
diff --git a/x11-libs/fox-wrapper/files/fox-wrapper-3.sh b/x11-libs/fox-wrapper/files/fox-wrapper-3.sh
new file mode 100644
index 000000000000..8c55634e41b9
--- /dev/null
+++ b/x11-libs/fox-wrapper/files/fox-wrapper-3.sh
@@ -0,0 +1,76 @@
+#!/bin/bash
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Based on the am-wrapper.sh script (sys-devel/automake-wrapper-1-r1)
+#
+# Executes the correct fox-config version, based on the value of WANT_FOX.
+# All versions of fox after 1.0.x ship with a fox-config script
+#
+#
+# Stable branches first, in descending order, then unstable branches.
+# After a new stable branch, prepend the new version and bump (or remove)
+# the last unstable branch
+#
+vers="1.6 1.4 1.7"
+bindir=/usr/bin
+
+if [ "${0##*/}" = "fox-wrapper.sh" ] ; then
+ echo "fox-wrapper: Don't call this script directly, use fox-config instead" >&2
+ exit 1
+fi
+
+if [ -z "${WANT_FOX}" ] ; then
+ echo "fox-wrapper: Set the WANT_FOX variable to the desired version of fox, e.g.:" >&2
+ echo " WANT_FOX=\"1.6\" fox-config $@"
+ exit 1
+fi
+
+for v in ${vers} ; do
+ eval binary_${v/./_}="fox-${v}-config"
+done
+
+#
+# Check the WANT_FOX setting
+#
+for v in ${vers} x ; do
+ if [ "${v}" = "x" ] ; then
+ echo "fox-wrapper: WANT_FOX was set to an invalid version ${WANT_FOX}" >&2
+ echo " Valid values of WANT_FOX are: ${vers// /, }"
+ exit 1
+ fi
+
+ if [ "${WANT_FOX}" = "${v}" ] ; then
+ binary="binary_${v/./_}"
+ binary="${!binary}"
+ break
+ fi
+done
+
+if [ "${WANT_FOXWRAPPER_DEBUG}" ] ; then
+ echo "fox-wrapper: DEBUG: WANT_FOX is set to ${WANT_FOX}" >&2
+ echo "fox-wrapper: DEBUG: will execute <$binary>" >&2
+fi
+
+#
+# for further consistency
+#
+for v in ${vers} ; do
+ mybin="binary_${v/./_}"
+ if [ "${binary}" = "${!mybin}" ] ; then
+ export WANT_FOX="${v}"
+ fi
+done
+
+#
+# Now try to run the binary
+#
+if [ ! -x "${bindir}/${binary}" ] ; then
+ echo "fox-wrapper: $binary is missing or not executable." >&2
+ echo " Please try emerging the correct version of fox, i.e.:" >&2
+ echo " emerge '=x11-libs/${binary/-config/}*'" >&2
+ exit 1
+fi
+
+"$binary" "$@"